Gentoo: Forcing installation of ebuild that have been masked by ~keyword


When trying to install an ebuild on gentoo linux, you sometimes get met by the message that you cannot install the package because it has been masked.

To install an ebuild that have been masked by the ~keyword, then you have to export

ACCEPT_KEYWORDS="~x86" where the name after the tilde (~) is the name of your architecture.

eg:

ACCEPT_KEYWORDS="~x86"

and then you may install your package as usual.

For Netbeans 3.6 you can use:

at the prompt enter:

ACCEPT_KEYWORDS="~x86" emerge --ask ">=netbeans-3.6"

or

export ACCEPT_KEYWORDS="~x86"